GNUTLS LibTASN1 DER Decoding Denial of Service Vulnerabilities

Solution:
The vendor has addressed this issue in GnuTLS versions 1.2.10 and 1.3.4 and in Libtasn1 version 0.2.18.

Please see the referenced vendor advisories for details on obtaining and applying fixes.


GNU Libtasn1 0.1

GNU Libtasn1 0.1.1

GNU Libtasn1 0.1.2

GNU Libtasn1 0.2

GNU Libtasn1 0.2.1

GNU Libtasn1 0.2.10

GNU Libtasn1 0.2.11

GNU Libtasn1 0.2.12

GNU Libtasn1 0.2.13

GNU Libtasn1 0.2.14

GNU Libtasn1 0.2.15

GNU Libtasn1 0.2.16

GNU Libtasn1 0.2.17

GNU Libtasn1 0.2.2

GNU Libtasn1 0.2.3

GNU Libtasn1 0.2.4

GNU Libtasn1 0.2.5

GNU Libtasn1 0.2.6

GNU Libtasn1 0.2.7

GNU Libtasn1 0.2.8

GNU GnuTLS 1.0

GNU GnuTLS 1.0.1

GNU GnuTLS 1.0.13

GNU GnuTLS 1.0.14

GNU GnuTLS 1.0.15

GNU GnuTLS 1.0.16

GNU GnuTLS 1.0.17

GNU GnuTLS 1.0.2

GNU GnuTLS 1.0.23

GNU GnuTLS 1.0.25

GNU GnuTLS 1.0.3

GNU GnuTLS 1.0.4

GNU GnuTLS 1.0.5

GNU GnuTLS 1.0.6

GNU GnuTLS 1.0.7

GNU GnuTLS 1.0.8

GNU GnuTLS 1.0.9

GNU GnuTLS 1.2

GNU GnuTLS 1.2.1

GNU GnuTLS 1.2.2

GNU GnuTLS 1.2.3

GNU GnuTLS 1.2.4

GNU GnuTLS 1.2.5

GNU GnuTLS 1.2.6

GNU GnuTLS 1.2.7

GNU GnuTLS 1.2.9

GNU GnuTLS 1.3

GNU GnuTLS 1.3.1

GNU GnuTLS 1.3.2

GNU GnuTLS 1.3.3


 

Privacy Statement
Copyright 2010, SecurityFocus